summarylogtreecommitdiffstats
path: root/spx-translation.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-04 22:06:31 +0800
committerzxp198210052024-03-04 22:06:31 +0800
commit7d9b0fab1cb27ee3f42266995fecd42ec8074d3d (patch)
treebbae941dda8b41b543261fb1636959e7130454ce /spx-translation.sh
parent9452ce6f95059e6ffe45625437c8dd5b780fcddc (diff)
downloadaur-7d9b0fab1cb27ee3f42266995fecd42ec8074d3d.tar.gz
fix errors
Diffstat (limited to 'spx-translation.sh')
-rw-r--r--spx-translation.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/spx-translation.sh b/spx-translation.sh
new file mode 100644
index 000000000000..86cb3dc6a9bf
--- /dev/null
+++ b/spx-translation.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file